---
title: PaymentRequest.abort()
slug: Web/API/PaymentRequest/abort
tags:
  - API
  - Experimental
  - Payment Request API
  - PaymentRequest
  - Reference
  - Secure context
  - abort
---
<p>{{securecontext_header}}{{SeeCompatTable}}{{APIRef("Payment Request API")}}</p>

<p>The <code>PaymentRequest.abort()</code> method of the {{domxref('PaymentRequest')}} interface causes the user agent to end the payment request and to remove any user interface that might be shown.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code>PaymentRequest.abort();</code></pre>

<h3 id="Returns">Returns</h3>

<p>Void.</p>

<h3 id="Parameters">Parameters</h3>

<p>None</p>

<h2 id="Examples">Examples</h2>

<p>The following example sets up a timeout to clear the payment request that might have been abandoned or neglected.</p>

<pre class="brush: js">var request = new PaymentRequest(supportedInstruments, details, options);

var paymentTimeout = window.setTimeout(() =&gt; {
  window.clearTimeout(paymentTimeout);
  request.abort().then(() =&gt; {
    print('Payment timed out after 20 minutes.');
  }).catch(() =&gt; {
    print('Unable to abort, because the user is currently in the process ' +
          'of paying.');
  });
}, 20 * 60 * 1000);  /* 20 minutes */
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentrequest-abort','abort()')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PaymentRequest.abort")}}</p>
</div>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref('PaymentRequest.abort','PaymentRequest.abort()')}}</li>
</ul>
